// =====================================================================
//  $Id: St01EventAction.hh,v 1.1 2003/06/27 19:16:42 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __ST01EVENTACTION_HH
#define __ST01EVENTACTION_HH

#include "TEventAction.hh"

class TDataRecord;

class St01EventAction
  : public TEventAction
{

  public:
    St01EventAction();
    ~St01EventAction();

  public:
    TReadoutList* WaitEvent();
    Tvoid BeginOfEventAction( TEvent& anEvent );
    Tvoid EndOfEventAction( TEvent& anEvent );

  private:
    Tvoid fillEventInformation( const TDataRecord& record );

};

#endif
